#!/usr/bin/env python3

INPUT_FILE = 'input'

def main():
    content = map(str.strip,  open(INPUT_FILE, 'r').readlines())
    includes = 0
    for line in content:
        e1, e2 = line.split(',')
        e1_from, e1_to = map(int, e1.split('-'))
        e2_from, e2_to = map(int, e2.split('-'))
        r1 = list(range(int(e1_from), int(e1_to) +1))
        r2 = list(range(int(e2_from), int(e2_to) +1))
        if set(r1).intersection(r2):
            includes += 1
    print(includes)

if __name__ == '__main__':
    main()
